Bug 149844 - curl cannot be updated via up2date, complaints about curl-devel and libidn-devel
curl cannot be updated via up2date, complaints about curl-devel and libidn-devel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 03:00 EST by Andrew D. Stadler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2005-02-28 03:00:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050224 Firefox/1.0.1 Fedora/1.0.1-1.3.1

Description of problem:
up2date has been telling me that curl and curl-devel can be updated
from 7.12.1-1 to 7.12.3-2

However, the actual update fails.  

If I select both curl and curl-devel, it gets stuck in "Testing
package set / solving RPM inter-dependencies".  It sits there for
quite a long time until I kill it.

If I select curl only, I get:   "There was a package dependency
problem.  The message was:

Unresolvable chain of dependencies:
curl-devel  7.12.3-2                     requires libidn-devel

Please modify your package selections and try again."



Version-Release number of selected component (if applicable):
curl-7.12.1-1  curl-devel-7.12.1-1

How reproducible:
Always

Steps to Reproduce:
1.  $ sudo up2date
2.  select curl or select curl & curl-devel
3.  observe the failure
    

Actual Results:  a.  selecting both hangs
b.  selecting curl only, gives an error message that refers to curl-devel.

Expected Results:  up2date to work cleanly with all published packages.

Additional info:
Comment 1 Ivana Varekova 2005-04-21 09:45:29 EDT
Hello,
I try to reproduce this bug, but I was not successful.
I use command "up2date curl curl-devel" and everything was right.
But the latest fc3 curl and curl-devel version is 7.12.3-3.fc3 now.
Try update curl and curl-devel to this version please. 
Is the bug still present?
Ivana Varekova
Comment 2 Andrew D. Stadler 2005-05-04 20:49:35 EDT
Retesting with FC3/latest, up2date-4.3.47-5, curl-7.12.1-1.

From the command line (as you suggested) it fails, but at least it fails quickly:

$ sudo up2date curl curl-devel
Password:
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
using mirror: http://mirror.hiwaay.net/redhat/fedora/linux/core/3/i386/os/
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
using mirror: http://ftp.rhnet.is/pub/fedora/updates/3/i386/

Fetching Obsoletes list for channel: fedora-core-3...

Fetching Obsoletes list for channel: updates-released-fc3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
curl                                    7.12.3         3.fc3             i386
curl-devel                              7.12.3         3.fc3             i386


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
curl-devel  7.12.3-3.fc3                 requires libidn-devel


Testing the graphical version has a similar result.  

So the "gets stuck" part of this bug seems to be resolved.

However, in all combinations, 

$ sudo up2date curl curl-devel
$ sudo up2date curl
$ sudo up2date curl-devel

It still fails with the requirement for libidn-devel.

Attempting to manually resolve gives the following result:

$ sudo up2date libidn-devel
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
using mirror:
http://mirror.cpsc.ucalgary.ca/mirror/fedora/linux/core/3/i386/os/http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
using mirror: http://mirror.etf.bg.ac.yu/fedora/linux/core/updates/3/i386

Fetching Obsoletes list for channel: fedora-core-3...

Fetching Obsoletes list for channel: updates-released-fc3...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------


The following packages you requested were not found:
libidn-devel
Comment 3 Ivana Varekova 2005-05-06 07:16:03 EDT
I think it should be up2date problem. Curl and curl-devel dependences look good. 
Ivana Varekova
Comment 4 david 2005-06-06 16:24:56 EDT
You can work around this problem, assuming you have a working list of yum repos,
just type 

sudo yum install libidn-devel

then run up2date and it will update curl and curl-devel without problems
Comment 5 Andrew D. Stadler 2005-06-06 18:01:36 EDT
confirmed, this workaround cleared the logjam and up2date was able to load curl and curl-devel.  Just 
to be clear, the original bug (whatever it is) was not fixed....
Comment 6 Matthew Miller 2006-07-10 17:12:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 John Thacker 2006-10-29 10:11:04 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.